Skip to main content

Retrieve a list of supplemental pay integrations

GET 

/odata/v2/SupplementalPayIntegration

Response is limited to 3000 records. Follow '@odata.nextLink' to retrieve the next page.

Request​

Query Parameters

Responses​

OK

Schema

    value

    object[]

    nullable

    required

  • Array [

  • supplementalPayId stringnullable
    version int32
    employeeId stringnullable
    supplementalPayCodeName stringnullable
    transDate date-time
    payrollUpdateStatus int32
    payrollDateTime date-timenullable
    correction boolean
    rate double
    note stringnullable
    description stringnullable
    externalStatus int32
    rowNumber int32
    createdBy stringnullable
    createdDateTime date-time
    modifiedBy stringnullable
    modifiedDateTime date-timenullable
    versionStamp int32
    documentsExists boolean

    employee

    object

    employeeId stringnullable
    externalReference stringnullable
    initials stringnullable
    email stringnullable
    nameFirstName stringnullable
    nameMiddleName stringnullable
    nameLastName stringnullable
    nameFullName stringnullable
    hiredDate date-timenullable
    seniorityDate date-timenullable
    terminatedDate date-timenullable

    position

    object

    positionId stringnullable
    employeeId stringnullable
    title stringnullable
    locationId stringnullable
    organizationId stringnullable
    employmentCategoryName stringnullable
    dimension1Id stringnullable
    dimension2Id stringnullable
    dimension3Id stringnullable
    dimension4Id stringnullable
    externalReference stringnullable
  • ]

  • @odata.context stringnullable
    @odata.count int32nullable
    @odata.nextLink stringnullable
Loading...